KDE 4.9 PyKDE API Reference

- KDE's Python API

# RecoveryInterface Class Reference

`from PyKDE4.ktexteditor import *`

Namespace: KTextEditor

## Detailed Description

Document extension interface to control crash recovery.

When the system or the application using the editor component crashed with unsaved changes in the Document, the View notifies the user about the lost data and asks, whether the data should be recovered.

This interface gives you control over the data recovery process. Use isDataRecoveryAvailable() to check for lost data. If you do not want the editor component to handle the data recovery process automatically, you can either trigger the data recovery by calling recoverData() or discard it by discardDataRecovery().

Since:
  4.6

## Methods
| __init__ (self)
| discardDataRecovery (self)
bool | isDataRecoveryAvailable (self)
| recoverData (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor.

discardDataRecovery | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

If recover data is available, calling discardDataRecovery() will discard the recover data and the recover data is lost. If isDataRecoveryAvailable() returns false, calling this function does nothing.

See also:
  isDataRecoveryAvailable(), recoverData()

bool isDataRecoveryAvailable | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns whether a recovery is available for the current document.

See also:
  recoverData(), discardDataRecovery()

recoverData | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

If recover data is available, calling recoverData() will trigger the recovery of the data. If isDataRecoveryAvailable() returns false, calling this function does nothing.

See also:
  isDataRecoveryAvailable(), discardDataRecovery()